Saturation
Increase saturation
GET
https://images.contentstack.io/v3/assets/{stack_api_key}/{asset_uid}/{file_uid}/filename.jpg?environment={environment_name}&saturation={saturation_value}Note Check out the limitations that are applicable here.
To decrease the value of the saturation parameter of an image, pass a negative value:
Hide Parameters
Query Parameters
saturationoptionalstringExample:
50environmentrequiredstringExample:
productionDecrease saturation
GET
https://images.contentstack.io/v3/assets/{stack_api_key}/{asset_uid}/{file_uid}/filename.jpg?environment={environment_name}&saturation={saturation_value}Note Check out the limitations that are applicable here.
Additional Notes
- The default value for the saturation parameter is 0. This renders an unchanged image.
- A value of -100 will render a grayscale image.
The saturation parameter allows you to increase or decrease the intensity of the colors in a given image. To specify the saturation for an image, use a whole number (integer) between -100 and 100. You can also define saturation using any decimal number between -100.00 and 100.00.
To increase the value of the saturation parameter of an image, pass a positive value: